# Operation Types

| Operation Type               | API Endpoint                          |
| ---------------------------- | ------------------------------------- |
| `"create_order"`             | `/api/v1/orders/create`               |
| `"create_stop_order"`        | `/api/v1/orders/stop/create`          |
| `"cancel_order"`             | `/api/v1/orders/cancel`               |
| `"cancel_all_orders"`        | `/api/v1/orders/cancel_all`           |
| `"cancel_stop_order"`        | `/api/v1/orders/stop/cancel`          |
| `"update_leverage"`          | `/api/v1/account/leverage`            |
| `"update_margin_mode"`       | `/api/v1/account/margin`              |
| `"set_position_tpsl"`        | `/api/v1/positions/tpsl`              |
| `"withdraw"`                 | `/api/v1/account/withdraw`            |
| `"subaccount_initiate"`      | `/api/v1/account/subaccount/create`   |
| `"subaccount_confirm"`       | `/api/v1/account/subaccount/create`   |
| `"create_market_order"`      | `/api/v1/orders/create_market`        |
| `"subaccount_transfer"`      | `/api/v1/account/subaccount/transfer` |
| `"bind_agent_wallet"`        | `/api/v1/agent/bind`                  |
| `"create_api_key"`           | `/api/v1/account/api_keys/create`     |
| `"revoke_api_key"`           | `/api/v1/account/api_keys/revoke`     |
| `"list_api_keys"`            | `/api/v1/account/api_keys`            |
| `"create_lake"`              | `/api/v1/lake/create`                 |
| `"claim_lake_referral"`      | `/api/v1/lake/claim_referral_code`    |
| `"deposit_to_lake"`          | `/api/v1/lake/deposit`                |
| `"claim_lake_manager"`       | `/api/v1/lake/claim_manager`          |
| `"withdraw_from_lake"`       | `/api/v1/lake/withdraw`               |
| `"update_lake_deposit_cap"`  | `/api/v1/lake/update_deposit_cap`     |
| `"add_lake_whitelist"`       | `/api/v1/lake/add_whitelist`          |
| `"remove_lake_whitelist"`    | `/api/v1/lake/remove_whitelist`       |
| `"add_lake_blacklist"`       | `/api/v1/lake/add_blacklist`          |
| `"remove_lake_blacklist"`    | `/api/v1/lake/remove_blacklist`       |
| `"add_lake_max_leverage"`    | `/api/v1/lake/add_max_leverage`       |
| `"remove_lake_max_leverage"` | `/api/v1/lake/remove_max_leverage`    |

Note: Pacifica's batch order endpoint does NOT have a corresponding operation type as all individual operations within the batch are signed independently with their own operation types.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/signing/operation-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
